### Method

# WebKit2WebExtension DOMElement get_attribute

deprecated: 2.22

#### Declaration [src]

    gchar*
    webkit_dom_element_get_attribute (
      WebKitDOMElement* self,
      const gchar* name
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`name`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A #gchar.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.